package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * @Author NianChang
 * @ClassName BakingIndexOrder
 * @Date 2020/12/28 10:08 AM
 */
public class BakingIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = -4700121346766844716L;

    /**
     * 是否退款
     * 0：否
     * 1：是
     */
    private Integer refundCompleted;

    /**
     * 搜索支付金额
     */
    private Integer searchActualAmount;

    /**
     * 模糊搜索
     *
     */
    private List<String> likeSearch;

    /**
     * 全局搜索
     */
    private String globalSearch;

    /**
     * 自提code码
     */
    private Long selfTakeCode;

    /**
     * 预约配送开始时间
     */
    private Date reserveDeliveryAtStart;

    /**
     * 预约配送结束时间
     */
    private Date reserveDeliveryAtEnd;

    /**
     * 商品ID列表
     */
    private List<String> itemIdList;

    /**
     * 拼团状态
     */
    private Integer groupStatus;

    /**
     * 搜索
     * orderNo/itemName/mobile/selfTakeCode/storeOrderNo
     */
    private List<String> searchList;

    /**
     * 分类ID
     */
    private List<Long> categoryIdList;

    /**
     * 订单完成时间
     */
    private Date searchCompletedAt;

    /**
     * 来源系统
     */
    private Integer fromSystem;

    /**
     * 配送模式
     */
    private Integer deliveryMode;

    /**
     * 配送状态
     */
    private Integer deliveryStatus;

    /**
     * 商品类型
     */
    private List<Integer> itemTypeList;

    /**
     * 商品订单来源
     * 0：门店
     * 1：商城
     */
    private Integer goodsOrderSource;

    /**
     * 配送时间类型
     */
    private Integer verifyType;

    /**
     * 开始排队标识
     */
    private Integer startLineUp;

    /**
     * 收货人姓名
     */
    private String acceptName;

    /**
     * 收货人手机号
     */
    private String acceptMobile;

    /**
     * 不记名卡号
     */
    private String bearerCardNo;

    /**
     * 渠道码
     */
    private String channelCode;

    /**
     * 转单标识
     * 1：转单订单
     */
    private Integer transferOrder;

    /**
     * 入账类型
     */
    private Integer receivePaymentType;

    /**
     * 来源门店id
     */
    private Integer sourceStoreId;

    /**
     * 账单号
     */
    private String billNo;

    /**
     * 第三方支付单号
     */
    private String thirdPayNo;

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    /**
     * 同步ERP异常标识
     * 0：未异常
     * 1：异常
     */
    private Integer syncErpError;
    /**
     * 雷达订单
     */
    private Integer radarOrder;

    /**
     * 自提点编号
     */
    private String pickUpNo;

    /**
     * 自提点id
     */
    private Long pickUpId;

    /**
     * 企微员工id
     */
    private String workWechatUserId;

    public Long getPickUpId() {
        return pickUpId;
    }

    public void setPickUpId(Long pickUpId) {
        this.pickUpId = pickUpId;
    }

    public String getWorkWechatUserId() {
        return workWechatUserId;
    }

    public void setWorkWechatUserId(String workWechatUserId) {
        this.workWechatUserId = workWechatUserId;
    }

    public String getPickUpNo() {
        return pickUpNo;
    }

    public void setPickUpNo(String pickUpNo) {
        this.pickUpNo = pickUpNo;
    }

    public Integer getRadarOrder() {
        return radarOrder;
    }

    public void setRadarOrder(Integer radarOrder) {
        this.radarOrder = radarOrder;
    }
    public Integer getSyncErpError() {
        return syncErpError;
    }

    public void setSyncErpError(Integer syncErpError) {
        this.syncErpError = syncErpError;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public Integer getSourceStoreId() {
        return sourceStoreId;
    }

    public void setSourceStoreId(Integer sourceStoreId) {
        this.sourceStoreId = sourceStoreId;
    }

    public Integer getReceivePaymentType() {
        return receivePaymentType;
    }

    public void setReceivePaymentType(Integer receivePaymentType) {
        this.receivePaymentType = receivePaymentType;
    }

    public Integer getTransferOrder() {
        return transferOrder;
    }

    public void setTransferOrder(Integer transferOrder) {
        this.transferOrder = transferOrder;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public Integer getVerifyType() {
        return verifyType;
    }

    public void setVerifyType(Integer verifyType) {
        this.verifyType = verifyType;
    }

    public Integer getStartLineUp() {
        return startLineUp;
    }

    public void setStartLineUp(Integer startLineUp) {
        this.startLineUp = startLineUp;
    }

    public String getAcceptName() {
        return acceptName;
    }

    public void setAcceptName(String acceptName) {
        this.acceptName = acceptName;
    }

    public String getAcceptMobile() {
        return acceptMobile;
    }

    public void setAcceptMobile(String acceptMobile) {
        this.acceptMobile = acceptMobile;
    }

    public Integer getGoodsOrderSource() {
        return goodsOrderSource;
    }

    public void setGoodsOrderSource(Integer goodsOrderSource) {
        this.goodsOrderSource = goodsOrderSource;
    }

    public Integer getDeliveryStatus() {
        return deliveryStatus;
    }

    public void setDeliveryStatus(Integer deliveryStatus) {
        this.deliveryStatus = deliveryStatus;
    }

    public Integer getFromSystem() {
        return fromSystem;
    }

    public void setFromSystem(Integer fromSystem) {
        this.fromSystem = fromSystem;
    }

    public String getBearerCardNo() {
        return bearerCardNo;
    }

    public void setBearerCardNo(String bearerCardNo) {
        this.bearerCardNo = bearerCardNo;
    }

    public Integer getDeliveryMode() {
        return deliveryMode;
    }

    public void setDeliveryMode(Integer deliveryMode) {
        this.deliveryMode = deliveryMode;
    }

    public Date getSearchCompletedAt() {
        return searchCompletedAt;
    }

    public void setSearchCompletedAt(Date searchCompletedAt) {
        this.searchCompletedAt = searchCompletedAt;
    }

    public List<Long> getCategoryIdList() {
        return categoryIdList;
    }

    public void setCategoryIdList(List<Long> categoryIdList) {
        this.categoryIdList = categoryIdList;
    }

    public Integer getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(Integer groupStatus) {
        this.groupStatus = groupStatus;
    }

    public List<String> getSearchList() {
        return searchList;
    }

    public void setSearchList(List<String> searchList) {
        this.searchList = searchList;
    }

    public List<String> getItemIdList() {
        return itemIdList;
    }

    public void setItemIdList(List<String> itemIdList) {
        this.itemIdList = itemIdList;
    }

    public Date getReserveDeliveryAtStart() {
        return reserveDeliveryAtStart;
    }

    public void setReserveDeliveryAtStart(Date reserveDeliveryAtStart) {
        this.reserveDeliveryAtStart = reserveDeliveryAtStart;
    }

    public Date getReserveDeliveryAtEnd() {
        return reserveDeliveryAtEnd;
    }

    public void setReserveDeliveryAtEnd(Date reserveDeliveryAtEnd) {
        this.reserveDeliveryAtEnd = reserveDeliveryAtEnd;
    }

    public Long getSelfTakeCode() {
        return selfTakeCode;
    }

    public void setSelfTakeCode(Long selfTakeCode) {
        this.selfTakeCode = selfTakeCode;
    }

    public List<String> getLikeSearch() {
        return likeSearch;
    }

    public void setLikeSearch(List<String> likeSearch) {
        this.likeSearch = likeSearch;
    }

    public String getGlobalSearch() {
        return globalSearch;
    }

    public void setGlobalSearch(String globalSearch) {
        this.globalSearch = globalSearch;
    }

    public Integer getSearchActualAmount() {
        return searchActualAmount;
    }

    public void setSearchActualAmount(Integer searchActualAmount) {
        this.searchActualAmount = searchActualAmount;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public List<Integer> getItemTypeList() {
        return itemTypeList;
    }

    public void setItemTypeList(List<Integer> itemTypeList) {
        this.itemTypeList = itemTypeList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
